using Microsoft.AspNetCore.Components;

namespace SessionZero.Pages.Library.CharacterTemplates;

public partial class CharacterTemplates : ComponentBase
{
    private PageState _currentPageState = PageState.Main;
    
    private enum PageState
    {
        Main,
        Create,
        View,
        List,
        Edit,
        SessionZeroDb
    }

    private void SetPageState(PageState state)
    {
        _currentPageState = state;
    }
}