namespace SessionZero.Services;

public interface ILocalStorageService
{
    Task SetItemAsync(string key, string value);
    Task<string?> GetItemAsync(string key);
    Task RemoveItemAsync(string key);
    Task<IEnumerable<string>> GetAllKeysAsync(); // ADDED: To retrieve all keys in local storage
}