namespace SessionZero.Models;

public class SzfFile
{
    public string Type { get; set; } = string.Empty; // Corresponds to !type in .szf header
    public string Schema { get; set; } = string.Empty; // Corresponds to !schema in .szf header
    public string Name { get; set; } = string.Empty; // From [Metadata] section
    public string Guid { get; set; } = string.Empty; // From [Metadata] section
    public string Version { get; set; } = string.Empty; // From [Metadata] section
    public string Content { get; set; } = string.Empty; // The full raw content of the .szf file
}